﻿using System;
using System.Collections.Generic;
using System.Text;
using SkinEngines.Win32;
using System.Drawing;

namespace SkinEngines.SkinForm.Painting
{
    /// <summary>
    /// Caption Button PaintData
    /// </summary>
    public class CaptionButtonPaintData : PaintDataBase
    {
        /// <summary>
        /// Gets or sets a value indicating whether the button is pressed.
        /// </summary>
        /// <value><c>true</c> if pressed; otherwise, <c>false</c>.</value>
        public bool Pressed { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether the button is hovered.
        /// </summary>
        /// <value><c>true</c> if hovered; otherwise, <c>false</c>.</value>
        public bool Hovered { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether the button is enabled.
        /// </summary>
        /// <value><c>true</c> if enabled; otherwise, <c>false</c>.</value>
        public bool Enabled { get; set; }

        /// <summary>
        /// Gets or sets the hit test result of the button to determine the button icon.
        /// </summary>
        /// <value>The hit test result.</value>
        public HitTest HitTest { get; set; }


        /// <summary>
        /// Initializes a new instance of the <see cref="CaptionButtonPaintData"/> class.
        /// </summary>
        /// <param name="g">The graphics.</param>
        /// <param name="bounds">The bounds.</param>
        public CaptionButtonPaintData(Graphics g, Rectangle bounds)
            : base(g, bounds)
        {

        }
    }
}
